#ifndef CAPABILITIESSE_H
#define CAPABILITIESSE_H

#include "gmc-miscellaneousse_global.h"

#include <capabilities.h>

#include <QCoreApplication>
#include <QString>
#include <QHash>

//******************************************************************************

class GMCMISCELLANEOUSSESHARED_EXPORT  LinuxCapabilities : public Capabilities
{

    Q_DECLARE_TR_FUNCTIONS(LinuxCapabilities)

public:

    static LinuxCapabilities *instance();
    ~LinuxCapabilities();

protected:

    LinuxCapabilities();

protected:

    static LinuxCapabilities *_instance;

private:

    QHash <int, QString> m_tooltips;

};

//******************************************************************************

class GMCMISCELLANEOUSSESHARED_EXPORT ParsecCapabilities : public Capabilities
{

    Q_DECLARE_TR_FUNCTIONS(ParsecCapabilities)

public:

    static ParsecCapabilities *instance();
    ~ParsecCapabilities();

protected:

    ParsecCapabilities();

protected:

    static ParsecCapabilities *_instance;

private:

    QHash <int, QString> m_tooltips;
};

#endif
